> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesa.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get upstream sync

> Get one sync for the repository upstream.

<Note>**Required scope:** `read`</Note>


## OpenAPI

````yaml /openapi.json get /{org}/{repo}/upstream/syncs/{syncId}
openapi: 3.1.0
info:
  title: Depot API
  description: Depot HTTP API v1
  version: 1.0.0
servers:
  - url: https://api.mesa.dev/v1
security:
  - apiKey: []
paths:
  /{org}/{repo}/upstream/syncs/{syncId}:
    get:
      tags:
        - Repo
      summary: Get upstream sync
      description: Get one sync for the repository upstream.
      operationId: getRepoUpstreamSync
      parameters:
        - in: path
          name: org
          schema:
            type: string
            minLength: 1
          required: true
          description: Organization slug
        - in: path
          name: repo
          schema:
            type: string
            minLength: 1
          required: true
          description: Repository name
        - in: path
          name: syncId
          schema:
            type: string
            minLength: 1
          required: true
          description: Sync id
      responses:
        '200':
          description: Sync
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  repo_id:
                    type: string
                  direction:
                    type: string
                    enum:
                      - pull
                      - push
                  status:
                    type: string
                    enum:
                      - queued
                      - in_progress
                      - completed
                      - failed
                  attempt:
                    type: integer
                  ref_globs:
                    type: object
                    properties:
                      branches:
                        type: string
                      tags:
                        type: string
                    required:
                      - branches
                      - tags
                    additionalProperties: false
                  stats:
                    anyOf:
                      - type: object
                        properties:
                          refs:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                before:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                after:
                                  type: string
                                outcome:
                                  type: string
                                  enum:
                                    - updated
                                    - unchanged
                                    - filtered
                                    - rejected
                              required:
                                - name
                                - before
                                - after
                                - outcome
                        required:
                          - refs
                      - type: 'null'
                  error:
                    anyOf:
                      - type: string
                      - type: 'null'
                  created_at:
                    type: string
                    format: date-time
                  started_at:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  finished_at:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                required:
                  - id
                  - repo_id
                  - direction
                  - status
                  - attempt
                  - ref_globs
                  - stats
                  - error
                  - created_at
                  - started_at
                  - finished_at
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      trace_id:
                        description: >-
                          Support correlation id attached to 5xx responses;
                          quote it when reporting an issue
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      trace_id:
                        description: >-
                          Support correlation id attached to 5xx responses;
                          quote it when reporting an issue
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      trace_id:
                        description: >-
                          Support correlation id attached to 5xx responses;
                          quote it when reporting an issue
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      trace_id:
                        description: >-
                          Support correlation id attached to 5xx responses;
                          quote it when reporting an issue
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
        '406':
          description: Not acceptable
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      trace_id:
                        description: >-
                          Support correlation id attached to 5xx responses;
                          quote it when reporting an issue
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      trace_id:
                        description: >-
                          Support correlation id attached to 5xx responses;
                          quote it when reporting an issue
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      trace_id:
                        description: >-
                          Support correlation id attached to 5xx responses;
                          quote it when reporting an issue
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: API Key

````